from flask import Flask , render_template
app = Flask(__name__)

# data from board atmega328
detail = {
    'UVGraph': {'title' : 'UVGraph',
        'description' : 'this graph show uv index in 2 hours before until now'},
    'HeatGraph': {'title' : 'HeatGraph',
        'description' : 'this graph show heat index in 2 hours before until now'},
}

risk = {
    1: {'title' : 'uv risk' , 
        'score' : 2},
    2: {'title' : 'heat risk',
        'score' : 2},
}

stactic_now = {
    1: {'title' : 'temperature(celcius)',
        'score' : 32},
    2: {'title' : 'Humunity(%Rh)',
        'score' : 70},
    3: {'title' : 'UV index',
        'score' : 7},
}
##################################################################
risk_description = {
    1: {'lv' : 1,
        'description' : 'Safe level : you can stay safety outside',
        'color' : 'color: E44827;'},
    2: {'lv' : 2,
        'description' : 'cautious level : you should slop on sunscreen and slap on a hat ,stay in shade if you can'},
    3: {'lv' : 3,
        'description' : 'danger level : avoid being outside as much as you can,this level effect your skin too much'}
}


@app.route('/')
def mainpage():
    maxnum = 0
    for i in risk.values():
        if i['score'] > maxnum:
            maxnum = i['score']
    descrip = risk_description[maxnum]['description']
    return render_template('mainpage.html',detail = detail.values(),
                                           static = stactic_now.values(),
                                           max = maxnum,
                                           descrip = descrip)

@app.route('/graph/<title>/')
def hello_world2(title):
    graph = detail[str(title)]
    return render_template('graph.html',
                            title = graph['title'],
                            description = graph['description'] )


